'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

function loginOK() {
  return {
    event: 'agent.login',
    status: 'success',
    message: 'Access Granted'
  };
}

function loginFailed(data) {
  var errorCode = 'INVALIDTERM';
  var errorMessage = 'Terminal not registered';

  if (data.length === 1) {
    errorCode = 'NOTERM';
    errorMessage = 'Agent not logged in terminal';
  }

  return {
    event: 'agent.login',
    status: 'error',
    error: errorCode,
    message: errorMessage
  };
}

exports.default = {
  OK: loginOK,
  FAILED: loginFailed
};