'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash.startswith');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function hold(data, error) {
  var fromQueue = false;
  var evt = data[0];
  var status = 'success';

  if (error) {
    status = 'error';
  }

  if ((0, _lodash2.default)(evt, 'HOLDUID')) {
    fromQueue = true;
  }

  data.shift();
  return {
    event: 'call.hold',
    status: status,
    fromQueue: fromQueue,
    message: data.join(' ') // Channel not found
  };
}

function holdOK(data) {
  return hold(data);
}

function holdFailed(data) {
  return hold(data, true);
}

exports.default = {
  OK: holdOK,
  FAILED: holdFailed
};