'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash.foreach');

var _lodash2 = _interopRequireDefault(_lodash);

var _lodash3 = require('lodash.isarray');

var _lodash4 = _interopRequireDefault(_lodash3);

var _status = require('./status');

var _status2 = _interopRequireDefault(_status);

var _hangup = require('./hangup');

var _hangup2 = _interopRequireDefault(_hangup);

var _hold = require('./hold');

var _hold2 = _interopRequireDefault(_hold);

var _unhold = require('./unhold');

var _unhold2 = _interopRequireDefault(_unhold);

var _eventNames = require('./event-names');

var _eventNames2 = _interopRequireDefault(_eventNames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var call = {};

(0, _lodash2.default)(_eventNames2.default.STATUS, loadDecoders.bind(null, _status2.default));
(0, _lodash2.default)(_eventNames2.default.HOLD, loadDecoders.bind(null, _hold2.default));
(0, _lodash2.default)(_eventNames2.default.UNHOLD, loadDecoders.bind(null, _unhold2.default));
(0, _lodash2.default)(_eventNames2.default.HANGUP, loadDecoders.bind(null, _hangup2.default));

function loadDecoders(type, status, key) {
  var statusArr = (0, _lodash4.default)(status) ? status : null;

  if (!statusArr) {
    call[status] = type;
    return;
  }

  (0, _lodash2.default)(statusArr, function (statusStr) {
    call[statusStr] = type[key];
  });
}

exports.default = call;