'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash.assign');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var externalCallEvent = 'EXTERNALCALLSTATUS';

var refIdKey = 0;

var externalKeys = {
  ivozId: 1,
  source: 2,
  status: 3
};

var defaultKeys = {
  queue: 2,
  platform: 1,
  number: 3,
  status: 4
};

function getProps(isExternal, data) {
  if (!isExternal) {
    return {
      fromQueue: false,
      isaacId: data[refIdKey],
      ivozId: data[externalKeys.ivozId],
      source: data[externalKeys.source],
      status: data[externalKeys.status]
    };
  }

  return {
    isaacId: data[refIdKey],
    ivozId: data[refIdKey],
    queue: data[defaultKeys.queue],
    platform: data[defaultKeys.platform],
    number: data[defaultKeys.number],
    status: data[defaultKeys.status]
  };
}

function status(data) {
  var evt = data.shift();
  var serializedData = {
    event: 'call.status',
    fromQueue: true
  };
  var isExternal = evt === externalCallEvent;

  (0, _lodash2.default)(serializedData, getProps(isExternal, data));

  return serializedData;
}

exports.default = status;