'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash.startswith');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function unhold(data, error) {
  var fromQueue = false;
  var evt = data[0];
  var status = 'success';

  if (error) {
    status = 'error';
  }

  if ((0, _lodash2.default)(evt, 'UNHOLDUID')) {
    fromQueue = true;
  }

  data.shift();
  return {
    event: 'call.unhold',
    status: status,
    fromQueue: fromQueue,
    message: data.join(' ') // Channel not found
  };
}

function unholdOK(data) {
  return unhold(data);
}

function unholdFailed(data) {
  return unhold(data, true);
}

exports.default = {
  OK: unholdOK,
  FAILED: unholdFailed
};