'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = decode;

var _lodash = require('lodash.get');

var _lodash2 = _interopRequireDefault(_lodash);

var _lodash3 = require('lodash.isundefined');

var _lodash4 = _interopRequireDefault(_lodash3);

var _lodash5 = require('lodash.includes');

var _lodash6 = _interopRequireDefault(_lodash5);

var _decoders = require('./decoders');

var _decoders2 = _interopRequireDefault(_decoders);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ignoredEvents = ['DEVICESTATUSOK', 'STATUSOK'];

/**
 * @return {String}
 */
function decode(data) {

  var dataArr = data.replace(/(\r\n|\n|\r)/gm, '').split(' ');
  var decoderName = dataArr[0];

  if ((0, _lodash6.default)(ignoredEvents, decoderName)) {
    return null;
  }

  var decoder = (0, _lodash2.default)(_decoders2.default, decoderName);

  if ((0, _lodash4.default)(decoder)) {
    throw new Error('Missing ' + decoderName + ' decoder');
  }

  if (!_decoders2.default.hasOwnProperty(decoderName)) {
    return null;
  }

  return _decoders2.default[decoderName](dataArr);
}