'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getCreateMessage;

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _nodeUuid = require('node-uuid');

var _nodeUuid2 = _interopRequireDefault(_nodeUuid);

var _lodash = require('lodash.isundefined');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var log = (0, _debug2.default)('isaac-wrapper.parser:err');

function getCreateMessage(number, refId, ddi) {

  var strArr = ['CALL'];

  if ((0, _lodash2.default)(number)) {
    log('Missing parameter: number on encoder.call.getCreateMessage');
    throw new Error('Missing parameter: number on encoder.call.getCreateMessage');
  }

  refId = (0, _lodash2.default)(refId) ? _nodeUuid2.default.v4() : refId;

  strArr.push(refId);
  strArr.push(number);
  strArr.push('WUID');

  if (ddi) {
    strArr.push(ddi);
  }

  return strArr.join(' ');
}