'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Subscribe;

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _status = require('./status');

var _status2 = _interopRequireDefault(_status);

var _devicestatus = require('./devicestatus');

var _devicestatus2 = _interopRequireDefault(_devicestatus);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var log = (0, _debug2.default)('isaac-wrapper.parser:err');

var subscriptions = {
  status: _status2.default,
  devicestatus: _devicestatus2.default
};

function Subscribe() {

  var subscription = [].shift.apply(arguments);

  if (!(subscription in subscriptions)) {
    log('Method not found: ' + subscription + ' on encoder.Subscribe');
    throw new Error('Method not found: ' + subscription + ' on encoder.Subscribe');
  }

  return subscriptions[subscription].apply(this, arguments);
}