'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = encode;

var _lodash = require('lodash.get');

var _lodash2 = _interopRequireDefault(_lodash);

var _lodash3 = require('lodash.isundefined');

var _lodash4 = _interopRequireDefault(_lodash3);

var _encoders = require('./encoders');

var _encoders2 = _interopRequireDefault(_encoders);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @return {String}
 */
function encode() {

  var encoderName = [].shift.apply(arguments);
  var encoder = (0, _lodash2.default)(_encoders2.default, encoderName);

  if ((0, _lodash4.default)(encoder)) {
    throw new Error('Missing ' + encoderName + ' encoder');
  }

  return encoder.apply(null, arguments);
}